#!/usr/bin/perl -w

use strict;
use utf8;

my @pairs;

open (PO, "<../i18n/$ARGV[0].txt") || die "Can't open $ARGV[0].txt\nUsage: $0 fr < for-translation.html\n";
    my @po = <PO>;
close (PO);

while ( @po )
{
    if ( $po[0] =~ /^(\s*$|#)/ )
    {
        shift @po;
    }
    else
    {
        my $pattern = shift @po;
        my $translation = shift @po;
	my $bom = "\x{FEFF}";
	$pattern =~ s/^$bom//;
        chomp $pattern;
        chomp $translation;
        push ( @pairs, $pattern, $translation );
    }
}

my @lines = <STDIN>;
    
while ( @pairs )
{
    my $pattern = shift @pairs;
    my $translation = shift @pairs;

    $pattern = quotemeta $pattern;

    foreach my $line (@lines)
    {
        $line =~ s/$pattern/$translation/g;
    }
}

foreach my $line (@lines)
{
    print STDOUT "$line";
}
	
1;
